Bug 806610 - INFO: rcu_bh detected stall on CPU 1 (t=0 jiffies)
Summary: INFO: rcu_bh detected stall on CPU 1 (t=0 jiffies)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 16
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-25 11:04 UTC by Adam Pribyl
Modified: 2012-04-06 13:26 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-04-06 13:26:45 UTC


Attachments (Terms of Use)

Description Adam Pribyl 2012-03-25 11:04:39 UTC
Description of problem:
Every time my system gets idle for longer time it prints out a backtrace that some process at some CPU get stalled and it is sending NMI. Usually swapper process of firefox is involved, but this is not always.
This started to happen month or two ago (acctually my logs are only stored for one month) but it was not that often. Now it looks like I see this every day several times.

So far found only other report at LKLM:
https://lkml.org/lkml/2012/2/18/34

Version-Release number of selected component (if applicable):
3.2.9-1.fc16.x86_64

How reproducible:
Almost every time the computer is idle for longer time.

Steps to Reproduce:
Unknown so far.

Additional info:
[137784.810012] INFO: rcu_bh detected stall on CPU 1 (t=0 jiffies)
[137784.810012] sending NMI to all CPUs:
[137784.810038] NMI backtrace for cpu 0
[137784.810041] CPU 0 
[137784.810043] Modules linked in: tcp_lp usblp ppdev parport_pc lp parport fuse bnep bluetooth rfkill ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc lockd xt_physdev nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables snd_hda_codec_realtek serio_raw k8temp edac_core edac_mce_amd snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm r8169 mii snd_timer snd forcedeth soundcore snd_page_alloc i2c_nforce2 vhost_net macvtap macvlan tun virtio_net kvm_amd kvm binfmt_misc sunrpc uinput firewire_ohci firewire_core pata_acpi ata_generic usb_storage crc_itu_t sata_nv pata_amd radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
[137784.810113] 
[137784.810117] Pid: 0, comm: swapper/0 Not tainted 3.2.9-1.fc16.x86_64 #1 HP-Pavilion GQ511AA-ABU s3240.uk/Acacia
[137784.810122] RIP: 0010:[<ffffffff8103ce3b>]  [<ffffffff8103ce3b>] native_safe_halt+0xb/0x10
[137784.810130] RSP: 0018:ffffffff81a01e78  EFLAGS: 00000246
[137784.810132] RAX: 0000000000000000 RBX: ffffffff81a01ec4 RCX: 0000000000000000
[137784.810134] RDX: 0000000000000000 RSI: ffffffff81a01ec4 RDI: 0000000000000000
[137784.810136] RBP: ffffffff81a01e78 R08: 0000000000000000 R09: 0000000000000000
[137784.810139] R10: 0000000000000000 R11: 0000000000000000 R12: ffffffff81acc8e0
[137784.810141] R13: 0000000000000000 R14: ffffffffffffffff R15: 000000000008c000
[137784.810144] FS:  00007f2abaa0c840(0000) GS:ffff88007fc00000(0000) knlGS:00000000f77a26c0
[137784.810146] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[137784.810149] CR2: 00007f635e855000 CR3: 000000004ded3000 CR4: 00000000000006f0
[137784.810151] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[137784.810153] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[137784.810156] Process swapper/0 (pid: 0, threadinfo ffffffff81a00000, task ffffffff81a0d020)
[137784.810158] Stack:
[137784.810161]  ffffffff81a01ea8 ffffffff8101c723 ffffffff81a01ec4 ffffffff81acc8e0
[137784.810165]  ffff88007fece5c0 ffffffffffffffff ffffffff81a01ed8 ffffffff8101c8fd
[137784.810169]  ffffffff81acc8e0 000000007fece5c0 ffffffff81a01fd8 ffffffff81acc8e0
[137784.810172] Call Trace:
[137784.810177]  [<ffffffff8101c723>] default_idle+0x53/0x1d0
[137784.810180]  [<ffffffff8101c8fd>] amd_e400_idle+0x5d/0x120
[137784.810184]  [<ffffffff81013236>] cpu_idle+0xd6/0x120
[137784.810188]  [<ffffffff815bffce>] rest_init+0x72/0x74
[137784.810192]  [<ffffffff81aebbfe>] start_kernel+0x3ba/0x3c5
[137784.810196]  [<ffffffff81aeb347>] x86_64_start_reservations+0x132/0x136
[137784.810200]  [<ffffffff81aeb140>] ? early_idt_handlers+0x140/0x140
[137784.810203]  [<ffffffff81aeb44d>] x86_64_start_kernel+0x102/0x111
[137784.810205] Code: 55 48 89 e5 66 66 66 66 90 fa 5d c3 0f 1f 40 00 55 48 89 e5 66 66 66 66 90 fb 5d c3 0f 1f 40 00 55 48 89 e5 66 66 66 66 90 fb f4 <5d> c3 0f 1f 00 55 48 89 e5 66 66 66 66 90 f4 5d c3 0f 1f 40 00 
[137784.810234] Call Trace:
[137784.810236]  [<ffffffff8101c723>] default_idle+0x53/0x1d0
[137784.810239]  [<ffffffff8101c8fd>] amd_e400_idle+0x5d/0x120
[137784.810242]  [<ffffffff81013236>] cpu_idle+0xd6/0x120
[137784.810245]  [<ffffffff815bffce>] rest_init+0x72/0x74
[137784.810248]  [<ffffffff81aebbfe>] start_kernel+0x3ba/0x3c5
[137784.810252]  [<ffffffff81aeb347>] x86_64_start_reservations+0x132/0x136
[137784.810255]  [<ffffffff81aeb140>] ? early_idt_handlers+0x140/0x140
[137784.810258]  [<ffffffff81aeb44d>] x86_64_start_kernel+0x102/0x111
[137784.810012] NMI backtrace for cpu 1
[137784.810012] CPU 1 
[137784.810012] Modules linked in: tcp_lp usblp ppdev parport_pc lp parport fuse bnep bluetooth rfkill ipt_MASQUERADE iptable_nat nf_nat xt_CHECKSUM iptable_mangle bridge stp llc lockd xt_physdev nf_conntrack_ipv4 nf_defrag_ipv4 ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables snd_hda_codec_realtek serio_raw k8temp edac_core edac_mce_amd snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm r8169 mii snd_timer snd forcedeth soundcore snd_page_alloc i2c_nforce2 vhost_net macvtap macvlan tun virtio_net kvm_amd kvm binfmt_misc sunrpc uinput firewire_ohci firewire_core pata_acpi ata_generic usb_storage crc_itu_t sata_nv pata_amd radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
[137784.810012] 
[137784.810012] Pid: 4256, comm: firefox Not tainted 3.2.9-1.fc16.x86_64 #1 HP-Pavilion GQ511AA-ABU s3240.uk/Acacia
[137784.810012] RIP: 0010:[<ffffffff812c5f13>]  [<ffffffff812c5f13>] __bitmap_empty+0x3/0x80
[137784.810012] RSP: 0000:ffff88007fd03db0  EFLAGS: 00000096
[137784.810012] RAX: 0000000000000000 RBX: 0000000000002710 RCX: 000000000000013f
[137784.810012] RDX: 0000000000000000 RSI: 0000000000000100 RDI: ffffffff81acb540
[137784.810012] RBP: ffff88007fd03dc8 R08: 0000000000000000 R09: 0000000000000000
[137784.810012] R10: 0000000000000000 R11: 0000000000000001 R12: ffffffff81a30b80
[137784.810012] R13: ffffffff81a30c80 R14: ffff88007fd0e780 R15: 0000000000000000
[137784.810012] FS:  00007f394f0da700(0000) GS:ffff88007fd00000(0000) knlGS:0000000000000000
[137784.810012] CS:  0010 DS: 0000 ES: 0000 CR0: 000000008005003b
[137784.810012] CR2: 00007f3905f1b000 CR3: 000000007935c000 CR4: 00000000000006e0
[137784.810012] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
[137784.810012] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
[137784.810012] Process firefox (pid: 4256, threadinfo ffff880078baa000, task ffff8800750a4590)
[137784.810012] Stack:
[137784.810012]  ffffffff81033708 000000000bcee96c ffff88007fd0eaa0 ffff88007fd03e18
[137784.810012]  ffffffff810e56c7 0000000000000001 ffff88007fd0e200 ffff880075334cc0
[137784.810012]  0000000000000001 0000000000000001 0000000000000001 ffff88007fd0e780
[137784.810012] Call Trace:
[137784.810012]  <IRQ> 
[137784.810012]  [<ffffffff81033708>] ? arch_trigger_all_cpu_backtrace+0x88/0xa0
[137784.810012]  [<ffffffff810e56c7>] __rcu_pending+0x1e7/0x400
[137784.810012]  [<ffffffff810e5d2b>] rcu_check_callbacks+0x1cb/0x1e0
[137784.810012]  [<ffffffff8107ed18>] update_process_times+0x48/0x90
[137784.810012]  [<ffffffff810a1634>] tick_sched_timer+0x64/0xc0
[137784.810012]  [<ffffffff81094680>] __run_hrtimer+0x70/0x1e0
[137784.810012]  [<ffffffff810a15d0>] ? tick_nohz_handler+0x100/0x100
[137784.810012]  [<ffffffff81075bcb>] ? __do_softirq+0x11b/0x230
[137784.810012]  [<ffffffff81094ffb>] hrtimer_interrupt+0xeb/0x210
[137784.810012]  [<ffffffff815ecd2c>] ? call_softirq+0x1c/0x30
[137784.810012]  [<ffffffff815ed6c9>] smp_apic_timer_interrupt+0x69/0x99
[137784.810012]  [<ffffffff815eb59e>] apic_timer_interrupt+0x6e/0x80
[137784.810012]  <EOI> 
[137784.810012] Code: 4c 89 45 f0 48 89 45 c0 48 8d 45 d0 4c 89 4d f8 c7 45 b8 10 00 00 00 48 89 45 c8 e8 38 ff ff ff c9 c3 90 90 90 90 90 90 8d 4e 3f <85> f6 55 0f 49 ce 48 89 e5 c1 f9 06 85 c9 7e 61 31 c0 48 83 3f 
[137784.810012] Call Trace:
[137784.810012]  <IRQ>  [<ffffffff81033708>] ? arch_trigger_all_cpu_backtrace+0x88/0xa0
[137784.810012]  [<ffffffff810e56c7>] __rcu_pending+0x1e7/0x400
[137784.810012]  [<ffffffff810e5d2b>] rcu_check_callbacks+0x1cb/0x1e0
[137784.810012]  [<ffffffff8107ed18>] update_process_times+0x48/0x90
[137784.810012]  [<ffffffff810a1634>] tick_sched_timer+0x64/0xc0
[137784.810012]  [<ffffffff81094680>] __run_hrtimer+0x70/0x1e0
[137784.810012]  [<ffffffff810a15d0>] ? tick_nohz_handler+0x100/0x100
[137784.810012]  [<ffffffff81075bcb>] ? __do_softirq+0x11b/0x230
[137784.810012]  [<ffffffff81094ffb>] hrtimer_interrupt+0xeb/0x210
[137784.810012]  [<ffffffff815ecd2c>] ? call_softirq+0x1c/0x30
[137784.810012]  [<ffffffff815ed6c9>] smp_apic_timer_interrupt+0x69/0x99
[137784.810012]  [<ffffffff815eb59e>] apic_timer_interrupt+0x6e/0x80
[137784.810012]  <EOI>

Comment 1 Josh Boyer 2012-03-26 20:39:25 UTC
Could you try this with the 3.3.0-4.fc16 update and see if the issue is resolved?

Comment 2 Adam Pribyl 2012-04-06 13:26:45 UTC
Seems to be gone with 3.3.0 - at least I did not see it for few day on kernel 3.3.0.


Note You need to log in before you can comment on or make changes to this bug.